Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012086ScribusUser Interfacepublic2014-02-25 11:222014-10-08 00:10
ReporterPeterBenedek 
Assigned Tocbradney 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformDesktop PC and NotebookOSLinux Mint OS Version16 or later
Product Version1.5.0svn 
Target Version1.5.0Fixed in Version1.5.0svn 
Summary0012086: Apply button problem
DescriptionEnvironment: Linux Mint 16 "Petra"
Version: Scribus 1.5.0 (https://launchpad.net/~scribus/+archive/ppa [^])
Language: HU

File menu – Preferences and File menu – Document Setup
Apply button of Preferences panel doesn't work.
TagsNo tags attached.
Patch
Attached Files

- Relationships

-  Notes
(0031390)
FirasH (developer)
2014-02-25 15:28

I can reproduce this issue with Scribus 1.5.0 SVN (18837) - Qt 5.2.1
Only "OK" button applies the changes to Preferences/Document Setup.
(0032528)
Kunda (manager)
2014-07-07 06:33

Reproduced on r19322
(0033901)
JLuc (updater)
2014-10-05 23:26

For example : change size, check "apply on all pages", click "Apply"
Or : create a 2 pages "1 fold" document. In 2nd tab change to "2 fold" , click "Apply"
Nothing happens
Click "OK"
it happens
(0033902)
cbradney (administrator)
2014-10-05 23:47

Settings are applied, but document changes are not made until Ok is pressed, eg for page size changes
(0033905)
Kunda (manager)
2014-10-06 00:40

Cbradney, help me understand what you mean by:
"Settings are applied, but document changes are not made until Ok is pressed, eg for page size changes"
Are you saying that 'Apply' only works for certain preferences but not others?
To me, if I click 'Apply' this is like clicking OK without having to exit preferences.
(0033920)
Kunda (manager)
2014-10-08 00:10

Hilarious solution. Fix confirmed in r19553

- Issue History
Date Modified Username Field Change
2014-02-25 11:22 PeterBenedek New Issue
2014-02-25 15:28 FirasH Note Added: 0031390
2014-07-07 06:33 Kunda Note Added: 0032528
2014-07-07 06:34 Kunda Status new => confirmed
2014-07-07 06:34 Kunda Target Version => 1.5.0
2014-10-05 23:26 JLuc Note Added: 0033901
2014-10-05 23:47 cbradney Note Added: 0033902
2014-10-06 00:40 Kunda Note Added: 0033905
2014-10-06 20:56 cbradney Status confirmed => resolved
2014-10-06 20:56 cbradney Fixed in Version => 1.5.0svn
2014-10-06 20:56 cbradney Resolution open => fixed
2014-10-06 20:56 cbradney Assigned To => cbradney
2014-10-08 00:10 Kunda Note Added: 0033920
2014-10-08 00:10 Kunda Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker